# Class VulkanDescriptorSetAllocateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanDescriptorSetAllocateInfo.Builder

Enclosing class:
  `VulkanDescriptorSetAllocateInfo`

public static final class VulkanDescriptorSetAllocateInfo.Builder extends Object
Builds instances of type `VulkanDescriptorSetAllocateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanDescriptorSetAllocateInfo.Builder`
  `addAllSetLayouts(Iterable<? extends VulkanDescriptorSetLayoutType> elements)`
  Adds elements to `setLayouts` list.
  `final VulkanDescriptorSetAllocateInfo.Builder`
  `addSetLayouts(VulkanDescriptorSetLayoutType element)`
  Adds one element to `setLayouts` list.
  `final VulkanDescriptorSetAllocateInfo.Builder`
  `addSetLayouts(VulkanDescriptorSetLayoutType... elements)`
  Adds elements to `setLayouts` list.
  `VulkanDescriptorSetAllocateInfo`
  `build()`
  Builds a new `VulkanDescriptorSetAllocateInfo`.
  `final VulkanDescriptorSetAllocateInfo.Builder`
  `from(VulkanDescriptorSetAllocateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanDescriptorSetAllocateInfoType` instance.
  `final VulkanDescriptorSetAllocateInfo.Builder`
  `setDescriptorPool(VulkanDescriptorPoolType descriptorPool)`
  Initializes the value for the `descriptorPool` attribute.
  `final VulkanDescriptorSetAllocateInfo.Builder`
  `setSetLayouts(Iterable<? extends VulkanDescriptorSetLayoutType> elements)`
  Sets or replaces all elements for `setLayouts` list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDescriptorSetAllocateInfo.Builder from(VulkanDescriptorSetAllocateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanDescriptorSetAllocateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setDescriptorPool

    public final VulkanDescriptorSetAllocateInfo.Builder setDescriptorPool(VulkanDescriptorPoolType descriptorPool)
    Initializes the value for the `descriptorPool` attribute.
    Parameters:
      `descriptorPool` - The value for descriptorPool
    Returns:
      `this` builder for use in a chained invocation

  - ### addSetLayouts

    public final VulkanDescriptorSetAllocateInfo.Builder addSetLayouts(VulkanDescriptorSetLayoutType element)
    Adds one element to `setLayouts` list.
    Parameters:
      `element` - A setLayouts element
    Returns:
      `this` builder for use in a chained invocation

  - ### addSetLayouts

    public final VulkanDescriptorSetAllocateInfo.Builder addSetLayouts(VulkanDescriptorSetLayoutType... elements)
    Adds elements to `setLayouts` list.
    Parameters:
      `elements` - An array of setLayouts elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setSetLayouts

    public final VulkanDescriptorSetAllocateInfo.Builder setSetLayouts(Iterable<? extends VulkanDescriptorSetLayoutType> elements)
    Sets or replaces all elements for `setLayouts` list.
    Parameters:
      `elements` - An iterable of setLayouts elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllSetLayouts

    public final VulkanDescriptorSetAllocateInfo.Builder addAllSetLayouts(Iterable<? extends VulkanDescriptorSetLayoutType> elements)
    Adds elements to `setLayouts` list.
    Parameters:
      `elements` - An iterable of setLayouts elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDescriptorSetAllocateInfo build()
    Builds a new `VulkanDescriptorSetAllocateInfo`.
    Returns:
      An immutable instance of VulkanDescriptorSetAllocateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing